> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# Get publications by subscription email <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>

GET https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/{email}

Retrieve all publications in the workspace that have a subscription for the specified email address. The workspace is determined by the provided API key.

Reference: https://developers.beehiiv.com/api-reference/workspaces/publications-by-subscription-email

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `email` (string, required) — The email address to search for subscriptions

### Query parameters

- `expand` (list of enum, optional) — Optionally expand the results by adding additional information. `subscription` - Returns the full Subscription object for the email address in each publication. `publication` - Returns the full Publication object instead of just ID and name. `subscription_custom_fields` - Returns custom field values nested within the subscription object. (Returns the subscription object regardless of whether `subscription` is requested.)
  - Allowed values: `subscription`, `publication`, `subscription_custom_fields`

## Response

### 200

OK

- `list of PublicationsBySubscriptionEmailResponseItem`

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### PublicationsBySubscriptionEmailResponseItem

- `publication_id` (string, required) — The prefixed ID of the publication
- `publication_name` (string, required) — The name of the publication
- `subscription_id` (string, required) — The prefixed ID of the subscription matching the email address for this publication
- `status` (enum, required) — The status of the subscription matching the email address for this publication
  - Allowed values: `validating`, `invalid`, `pending`, `active`, `inactive`, `needs_attention`, `paused`, `unset`
- `publication` (Publication, optional) — The full Publication object. Only present when `expand` includes `publication`.
- `subscription` (Subscription, optional) — The Subscription object matching the email address for this publication. Only present when `expand` includes `subscription` or `subscription_custom_fields`.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### Publication

- `id` (string, required) — A unique prefixed id of the publication
- `name` (string, required) — The name of the publication
- `organization_name` (string, required) — The name of the organization
- `referral_program_enabled` (boolean, required) — A boolean field indicating whether the referral program is active for this publication.
- `created` (double, required) — The time that the publication was created. Measured in seconds since the Unix epoch
- `stats` (PublicationStats, optional) — Optional list of stats for a publication. Retrievable by including an `expand` array in the publication request body. Add `"stats"` to the array to retrieve all, or add individual stats (prefaced with `stat_`) to only retrieve specific ones. Examples: \{ "expand": \["stats"] } \{ "expand": \["stat\_active\_subscriptions", "stat\_average\_click\_rate"] }

### Subscription

The subscription object

- `id` (string, required) — The prefixed subscription id
- `email` (string, required)
- `status` (enum, required) — The status of the subscription.`validating` - The email address is being validated.`invalid` - The email address is invalid.`pending` - The email address is valid, but the subscription is pending double opt-in.`active` - The email was valid and the subscription is active.`inactive` - The subscription was made inactive, possibly due to an unsubscribe.`needs_attention` - The subscription requires approval or denial.`paused` - The subscriber has paused their subscription.`unset` - The person is a contact with no newsletter subscription.
  - Allowed values: `validating`, `invalid`, `pending`, `active`, `inactive`, `needs_attention`, `paused`, `unset`
- `created` (integer, required) — The date the subscription was created. Measured in seconds since the Unix epoch
- `subscription_tier` (enum, required) — The current tier of the subscription.
  - Allowed values: `free`, `premium`
- `subscription_premium_tier_names` (list of string, required) — The current premium tiers of the subscription. Empty if the subscriber is not associated with any premium tiers.
- `utm_source` (string, required) — The acquisition source; where the subscriber came from
- `utm_medium` (string, required) — The acquisition medium; how the subscriber got to your publication
- `utm_channel` (enum, required) — The acquisition channel
  - Allowed values: ``, `website`, `import`, `embed`, `api`, `referral`, `recommendation`, `magic_link`, `boost`, `boost_send`, `boost_direct_link`, `integration`, `product`, `group_invite`
- `utm_campaign` (string, required) — The acquisition campaign
- `utm_term` (string, required) — The acquisition term; typically the keyword or search term
- `utm_content` (string, required) — The acquisition content; typically used for A/B testing or ad variations
- `referring_site` (string, required) — The website that the subscriber was referred from
- `referral_code` (string, required) — The code associated to this subscriber to refer others. When a new subscription is created with this referral code, credit for the referral goes to this subscription.
- `subscription_premium_tiers` (list of SubscriptionTierInfo, optional) — Optional list of tiers for a subscription. Retrievable by including `expand: [subscription_premium_tiers]` in the request body.
- `custom_fields` (list of CustomField, optional) — Optional list of custom fields for a subscription. Retrievable by including `expand: [custom_field]` in the request body.
- `tags` (list of string, optional) — Optional list of tags for a subscription. Retrievable by including `expand: [tags]` in the request body. Max limit of 100 unique tags per publication.
- `stats` (SubscriptionStats, optional) — Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.
- `newsletter_list_ids` (list of string, optional) — The prefixed IDs of the newsletter lists this subscription is actively subscribed to. Requires `expand[]=newsletter_lists`.

### PublicationStats

Optional list of stats for a publication. Retrievable by including an `expand` array in the publication request body. Add `"stats"` to the array to retrieve all, or add individual stats (prefaced with `stat_`) to only retrieve specific ones. Examples: \{ "expand": \["stats"] } \{ "expand": \["stat\_active\_subscriptions", "stat\_average\_click\_rate"] }

- `active_subscriptions` (ActiveSubscriptionCount, optional) — Total number of active free and premium subscriptions
- `active_premium_subscriptions` (ActivePremiumSubscriptionCount, optional) — Total number of active premium/paid subscriptions
- `active_free_subscriptions` (ActiveFreeSubscriptionCount, optional) — Total number of active free subscriptions
- `average_open_rate` (AverageOpenRate, optional) — The publications historical average open rate
- `average_click_rate` (AverageClickRate, optional) — The publications historical average click through rate
- `total_sent` (TotalEmailsSent, optional) — Total number of emails sent
- `total_unique_opened` (TotalUniqueOpens, optional) — Total number of uniquely opened emails. Only counts the first open for each subscriber.
- `total_clicked` (TotalClicks, optional) — The total number of links clicked from emails.

### SubscriptionTierInfo

- `id` (string, required) — The prefixed ID of the tier.
- `name` (string, required)
- `status` (enum, required) — Returns whether or not the tier has any active prices.
  - Allowed values: `active`, `archived`

### CustomField

- `name` (string, optional) — The name of the existing custom field
- `kind` (enum, optional) — The type of value being stored in the custom field.
  - Allowed values: `string`, `integer`, `boolean`, `date`, `datetime`, `list`, `double`
- `value` (CustomFieldDataType, optional) — The value stored for the subscription

### SubscriptionStats

Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.

- `emails_received` (integer, optional) — The total number of emails that have been sent to this subscriber
- `open_rate` (double, optional) — The percentage of emails that the subscriber has opened
- `click_through_rate` (double, optional) — The percentage of emails that the subscriber has clicked a link in

### ActiveSubscriptionCount

Total number of active free and premium subscriptions

- integer
- boolean

### ActivePremiumSubscriptionCount

Total number of active premium/paid subscriptions

- integer
- boolean

### ActiveFreeSubscriptionCount

Total number of active free subscriptions

- integer
- boolean

### AverageOpenRate

The publications historical average open rate

- double
- boolean

### AverageClickRate

The publications historical average click through rate

- double
- boolean

### TotalEmailsSent

Total number of emails sent

- integer
- boolean

### TotalUniqueOpens

Total number of uniquely opened emails. Only counts the first open for each subscriber.

- integer
- boolean

### TotalClicks

The total number of links clicked from emails.

- integer
- boolean

### CustomFieldDataType

- string
- double
- boolean
- list of string

## Examples

### Example 1

**Response**

```json
[
  {
    "publication_id": "pub_00000000-0000-0000-0000-000000000000",
    "publication_name": "Publication Name 1",
    "subscription_id": "sub_00000000-0000-0000-0000-000000000000",
    "status": "active",
    "publication": {
      "id": "pub_00000000-0000-0000-0000-000000000000",
      "name": "Publication Name 1",
      "organization_name": "Organization Name",
      "referral_program_enabled": true,
      "created": 1234567890
    },
    "subscription": {
      "id": "sub_00000000-0000-0000-0000-000000000000",
      "email": "bruce.wayne@wayneenterprise.com",
      "status": "active",
      "created": 1234567890,
      "subscription_tier": "free",
      "subscription_premium_tier_names": [],
      "utm_source": "",
      "utm_medium": "",
      "utm_channel": "",
      "utm_campaign": "",
      "utm_term": "",
      "utm_content": "",
      "referring_site": "",
      "referral_code": "",
      "custom_fields": [
        {
          "name": "First Name",
          "kind": "string",
          "value": "Bruce"
        },
        {
          "name": "Last Name",
          "kind": "string",
          "value": "Wayne"
        }
      ]
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Response**

```json
[
  {
    "publication_id": "pub_00000000-0000-0000-0000-000000000000",
    "publication_name": "Publication Name 1",
    "subscription_id": "sub_00000000-0000-0000-0000-000000000000",
    "status": "active",
    "publication": {
      "id": "pub_00000000-0000-0000-0000-000000000000",
      "name": "Publication Name 1",
      "organization_name": "Organization Name",
      "referral_program_enabled": true,
      "created": 1234567890
    },
    "subscription": {
      "id": "sub_00000000-0000-0000-0000-000000000000",
      "email": "bruce.wayne@wayneenterprise.com",
      "status": "active",
      "created": 1234567890,
      "subscription_tier": "free",
      "subscription_premium_tier_names": [],
      "utm_source": "",
      "utm_medium": "",
      "utm_channel": "",
      "utm_campaign": "",
      "utm_term": "",
      "utm_content": "",
      "referring_site": "",
      "referral_code": "",
      "custom_fields": [
        {
          "name": "First Name",
          "kind": "string",
          "value": "Bruce"
        },
        {
          "name": "Last Name",
          "kind": "string",
          "value": "Wayne"
        }
      ]
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com"

querystring = {"expand":"[\"subscription\",\"publication\",\"subscription_custom_fields\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription%22%2C%22publication%22%2C%22subscription_custom_fields%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 3

**Response**

```json
[
  {
    "publication_id": "pub_00000000-0000-0000-0000-000000000000",
    "publication_name": "Publication Name 1",
    "subscription_id": "sub_00000000-0000-0000-0000-000000000000",
    "status": "active",
    "publication": {
      "id": "pub_00000000-0000-0000-0000-000000000000",
      "name": "Publication Name 1",
      "organization_name": "Organization Name",
      "referral_program_enabled": true,
      "created": 1234567890
    },
    "subscription": {
      "id": "sub_00000000-0000-0000-0000-000000000000",
      "email": "bruce.wayne@wayneenterprise.com",
      "status": "active",
      "created": 1234567890,
      "subscription_tier": "free",
      "subscription_premium_tier_names": [],
      "utm_source": "",
      "utm_medium": "",
      "utm_channel": "",
      "utm_campaign": "",
      "utm_term": "",
      "utm_content": "",
      "referring_site": "",
      "referral_code": "",
      "custom_fields": [
        {
          "name": "First Name",
          "kind": "string",
          "value": "Bruce"
        },
        {
          "name": "Last Name",
          "kind": "string",
          "value": "Wayne"
        }
      ]
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com"

querystring = {"expand":"[\"subscription_custom_fields\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/workspaces/publications/by_subscription_email/bruce.wayne%40wayneenterprise.com?expand=%5B%22subscription_custom_fields%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```